# Namespace WebSocket

- Defined in node_modules/@types/ws/index.d.ts:39
- Defined in node_modules/@types/ws/index.d.ts:206

### Index

### Classes

Server

### Interfaces

AddressInfo
ClientOptions
CloseEvent
ErrorEvent
Event
EventListenerOptions
MessageEvent
PerMessageDeflateOptions
ServerOptions
WebSocket
WebSocketServer

### Type Aliases

CertMeta
Data
RawData
VerifyClientCallbackAsync
VerifyClientCallbackSync

### Variables

WebSocket
WebSocketServer

### Functions

createWebSocketStream